Name: H5open
Signature:
  herr_t `H5open`(void)
Purpose:
  Initializes the HDF5 library.
Description:
  `H5open` initialize the library.

  When the HDF5 Library is employed in a C application, this function is normally called automatically, but if you find that an HDF5 library function is failing inexplicably, try calling this function first. If you wish to elimnate this possibility, it is safe to routinely call `H5open` before an application starts working with the library as there are no damaging side-effects in calling it more than once.

  When the HDF5 Library is employed in a Fortran90 application, `h5open_f` initializes global variables (e.g. predefined types) and performs other tasks required to initialize the library. `h5open_f` and `h5close_f` are therefore required calls in Fortran90 applications.

Parameters:

None.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5open_f

      SUBROUTINE h5open_f(hdferr)
        IMPLICIT NONE
        INTEGER, INTENT(OUT) :: hdferr      ! Error code

      END SUBROUTINE h5open_f